- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InitVariableValuesString Class Reference

the InitVariableValuesString class. More...

`#include <OSOption.h>`

Collaboration diagram for InitVariableValuesString:

[legend]
List of all members.

## Public Member Functions
| InitVariableValuesString ()
| Default constructor.
| ~InitVariableValuesString ()
| Class destructor.
bool | IsEqual (InitVariableValuesString *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setVar (int numberOfVar, InitVarValueString **var)
| A function to set an array of elements.
bool | setVar (int numberOfVar, int *idx, std::string *value)
| Alternative signature for this function.
bool | addVar (int idx, std::string value)
| A function to add a element.
## Public Attributes
int | numberOfVar
| number of children
InitVarValueString ** | var
| initial value for each variable

## Detailed Description

the InitVariableValuesString class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 1218 of file OSOption.h.

## Constructor & Destructor Documentation

InitVariableValuesString::InitVariableValuesString | ( |  | ) |

Default constructor.

Definition at line 492 of file OSOption.cpp.

References var.

InitVariableValuesString::~InitVariableValuesString | ( |  | ) |

Class destructor.

Definition at line 501 of file OSOption.cpp.

References numberOfVar, and var.

## Member Function Documentation

bool InitVariableValuesString::IsEqual | ( | InitVariableValuesString * | that | ) |

A function to check for the equality of two objects.

Definition at line 9041 of file OSOption.cpp.

References numberOfVar, and var.

bool InitVariableValuesString::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10708 of file OSOption.cpp.

References numberOfVar, OSRand(), InitVarValueString::setRandom(), and var.

Referenced by VariableOption::setRandom().

bool InitVariableValuesString::setVar | ( | int | numberOfVar,
|  | InitVarValueString ** | var |
| ) |  |  |

A function to set an array of elements.

Parameters:

  | numberOfVar,: | number of elements to be set
  | var,: | the array of elements that are to be set

Definition at line 4587 of file OSOption.cpp.

References ErrorClass::errormsg, and var.

Referenced by OSOption::setInitVarValuesString(), and OSOption::setInitVarValuesStringSparse().

bool InitVariableValuesString::setVar | ( | int | numberOfVar,
|  | int * | idx,
|  | std::string * | value |
| ) |  |  |

Alternative signature for this function.

Parameters:

  | numberOfVar,: | number of elements to be set
  | idx,: | the array of indices
  | value,: | the array of corresponding values

Definition at line 4622 of file OSOption.cpp.

References InitVarValueString::idx, InitVarValueString::value, and var.

bool InitVariableValuesString::addVar | ( | int | idx,
|  | std::string | value |
| ) |  |  |

A function to add a element.

Parameters:

  | idx,: | the index of the variable to be given an initial value
  | value,: | the initial string value to be added

Definition at line 4652 of file OSOption.cpp.

References ErrorClass::errormsg, InitVarValueString::idx, numberOfVar, InitVarValueString::value, and var.

Referenced by OSOption::setAnotherInitVarValueString().

## Member Data Documentation

int InitVariableValuesString::numberOfVar

number of children

Definition at line 1222 of file OSOption.h.

Referenced by addVar(), OSOption::getNumberOfInitVarValuesString(), IsEqual(), OSOption::setInitVarValuesStringSparse(), setRandom(), and ~InitVariableValuesString().

InitVarValueString** InitVariableValuesString::var

initial value for each variable

Definition at line 1225 of file OSOption.h.

Referenced by addVar(), OSOption::getInitVarValuesStringSparse(), InitVariableValuesString(), IsEqual(), OSOption::setInitVarValuesStringDense(), setRandom(), setVar(), and ~InitVariableValuesString().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp